Bug 1026410 - [PATCH] munin_services_plugin_t: Allow use of shm
[PATCH] munin_services_plugin_t: Allow use of shm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.4
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 10:14 EST by Lubomir Rintel
Modified: 2015-12-11 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 05:37:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested fix (1.10 KB, text/plain)
2013-11-04 10:14 EST, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2013-11-04 10:14:38 EST
Created attachment 819199 [details]
Suggested fix

MySQL plugin which is labeled as Munin service requires this and it's
probably a better idea to allow it than to create a new domain for it.
The policy already allows another sysv IPC mechanism (semaphores).

Denial:

type=AVC msg=audit(1381741923.672:2583101): avc:  denied  { unix_read unix_write } for
        pid=9074
        comm="mysql_files_tab"
        key=1667461225
        scontext=system_u:system_r:munin_services_plugin_t:s0
        tcontext=system_u:system_r:munin_services_plugin_t:s0
        tclass=shm
Comment 2 RHEL Product and Program Management 2013-11-07 10:57:25 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Lukas Vrabec 2014-06-16 05:37:24 EDT
Rule is included in current selinux-policy package.
Lubomir thank you for patch!

Note You need to log in before you can comment on or make changes to this bug.